Skip to main content
GET
List all activity logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number. Defaults to 1. A value that is not a positive integer, such as 0, returns the first page.

Example:

1

per_page
integer

Number of records per page. Defaults to 100. The maximum is 200, unless another maximum is configured for your organization. A value above the maximum returns a 422 error with value_is_out_of_range on per_page. A value that is not a positive integer, such as 0, returns the default number of records.

Example:

20

from_date
string<date>

Filter activity logs logged at or after this date. A date or a full ISO 8601 datetime is accepted.

Example:

"2022-08-09"

to_date
string<date>

Filter activity logs logged at or before this date. A date or a full ISO 8601 datetime is accepted.

Example:

"2022-08-09"

activity_types[]
string[]

Filter results by activity types.

Example:
activity_sources[]
enum<string>[]

Filter results by activity sources.

Available options:
api,
front,
system
Example:
user_emails[]
string[]

Filter results by the email of the user who performed the activity.

Example:
external_customer_id
string

Unique identifier assigned to the customer in your application.

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

external_subscription_id
string

External subscription ID

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

resource_ids[]
string<uuid>[]

Filter results by the unique identifiers of the resources the actions were applied to.

Example:
resource_types[]
string[]

Filter results by resource types.

Example:

Response

List of activity logs

activity_logs
object[]
required
meta
object
required